# Bulk update key logs

`PATCH https://api.parklio.com/v2/key-logs`

This endpoint allows the user to bulk update key logs by using their ids

**Auth:** `Authorization: Bearer <token>`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `ids` | number[] | yes |  |
| `status` | string (`active`, `reactived`, `blocked`, `invalid`, `deleted`, `depleted`, `expired`) | yes |  |

```json
{
  "ids": [
    1,
    2,
    3
  ],
  "status": "blocked"
}
```

## Responses

### 200 — Successful response

```json
{
  "success": true,
  "data": [
    {
      "success": true,
      "id": 1
    }
  ]
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

